flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maximilian Michels <...@apache.org>
Subject Re: Failed to submit 0.10.1
Date Mon, 08 Feb 2016 14:35:56 GMT
You're welcome. As of recent changes, all Maven artifact names are now
suffixed with the Scala major version. However, the old artifacts are
still available for the snapshot version. I've just pushed an empty
flink-streaming-java for 1.0-SNAPSHOT to prevent users from compiling
code which would fail later on.

Cheers,
Max



On Mon, Feb 8, 2016 at 2:32 PM, Andrew Ge Wu <andrew.ge-wu@eniro.com> wrote:
> Yes, found a special dependency for 2.11, Thanks!
>
>
>     <dependency>
>         <groupId>org.apache.flink</groupId>
>         <artifactId>flink-streaming-java_2.11</artifactId>
>         <version>${apache.flink.versin}</version>
>     </dependency>
>
>
> Andrew
>
> On 08 Feb 2016, at 14:18, Andrew Ge Wu <andrew.ge-wu@eniro.com> wrote:
>
> Thanks Max
>
> My local and remote environment are running: Scala code runner version
> 2.11.7 -- Copyright 2002-2013, LAMP/EPFL
> And I downloaded binary
> 2.11(//apache.mirrors.spacedump.net/flink/flink-0.10.1/flink-0.10.1-bin-hadoop27-scala_2.11.tgz),
> Is there a different version of client lib for scala 2.11?
>
>
> Best,
>
> Andrew
>
> On 08 Feb 2016, at 11:30, Maximilian Michels <mxm@apache.org> wrote:
>
> Hi Andrew,
>
> It appears that you're using two different versions of the Scala
> library in your Flink job. Please make sure you use either 2.10 or
> 2.11 but not both at the same time.
>
> Best,
> Max
>
> On Mon, Feb 8, 2016 at 10:30 AM, Andrew Ge Wu <andrew.ge-wu@eniro.com>
> wrote:
>
> Hi All
>
> I’m new to flink and come to the step to submit to a remote cluster, and it
> failed with following message:
>
> Association with remote system [akka.tcp://flink@127.0.0.1:61231] has
> failed, address is now gated for [5000] ms. Reason is: [scala.Option; local
> class incompatible: stream classdesc serialVersionUID =
> -2062608324514658839, local class serialVersionUID = -114498752079829388].
>
> I have doubled checked that my client and server version are the
> same(0.10.1), but my java version is a bit different
> Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
> vs.
> Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
>
> Is java the issue or is there anything else i may be missing?
>
>
> Many thanks
>
>
> Andrew
>
>
> --
> Confidentiality Notice: This e-mail transmission may contain confidential
> or legally privileged information that is intended only for the individual
> or entity named in the e-mail address. If you are not the intended
> recipient, you are hereby notified that any disclosure, copying,
> distribution, or reliance upon the contents of this e-mail is strictly
> prohibited and may be unlawful. If you have received this e-mail in error,
> please notify the sender immediately by return e-mail and delete all copies
> of this message.
>
>
>
>
> Confidentiality Notice: This e-mail transmission may contain confidential or
> legally privileged information that is intended only for the individual or
> entity named in the e-mail address. If you are not the intended recipient,
> you are hereby notified that any disclosure, copying, distribution, or
> reliance upon the contents of this e-mail is strictly prohibited and may be
> unlawful. If you have received this e-mail in error, please notify the
> sender immediately by return e-mail and delete all copies of this message.

Mime
View raw message